
Infrastructure - Task #2641

Story # 2639 (Closed): daisy-chain equivalent identities causes problems with transitivity

create integration tests for daisy-chained relationships

2012-04-23 19:49 - Rob Nahf

Status: Closed Start date: 2012-04-23

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.17-Block.3.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

to test other implementations

History

#1 - 2012-05-02 18:10 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 80

need a 4-node chain because with 3-node chain.  A sees C's subject (doesn't have the person) in B's person record, and getSubjectInfo

implementations are already drilling down 1 level.

(with 4-node chain, A doesn't know anything about D).

#2 - 2012-05-08 16:44 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

the set of test certificates include a 3rd degree equivalency (testEQPerson3) and it has been written into the integration tests.
